/*
	File:			CCommunicationPanel.h

	Contains:	Abstract base class for a view which is included as needed by 
					your typical multipane dialog

	Written by:	Mike Shields

	Copyright:	Copyright  1996 SoftKey International, Inc.  All Rights Reserved.

	Change History (most recent first):

				02/01/96	MSS		New
	To Do:
*/

#pragma once

#include "CMPDPanel.h"

class CCommunicationPanel : public CMPDPanel
{
public:
	enum { class_ID = 'CCPl' };
	
	static CCommunicationPanel*
						CreateFromStream(LStream* inStream);

						CCommunicationPanel();
						CCommunicationPanel(const CCommunicationPanel &inOriginal);
						CCommunicationPanel(const SPaneInfo &inPaneInfo,
												const SViewInfo &inViewInfo);
						CCommunicationPanel(LStream *inStream);
	virtual			~CCommunicationPanel();
	
	virtual Boolean	ValidatePanel();
	virtual void	GetData(Handle inDataToReplace);
	virtual void	SetData(Handle inData);
};
