/*
	File:			CDefensePanel.h

	Contains:	Abstract base class for a view which is included as needed by 
					your typical multipane dialog

	Written by:	Mike Shields

	Copyright:	Copyright  1996 SoftKey International, Inc.  All Rights Reserved.

	Change History (most recent first):

				02/01/96	MSS		New
	To Do:
*/

#pragma once

#include "CMPDPanel.h"
#include <LListener.h>

class CDefensePanel : public CMPDPanel,
								public LListener
{
public:
	enum { class_ID = 'CDPl' };
	
	static CDefensePanel*
						CreateFromStream(LStream* inStream);
						
						CDefensePanel();
						CDefensePanel(const CDefensePanel &inOriginal);
						CDefensePanel(const SPaneInfo &inPaneInfo,
												const SViewInfo &inViewInfo);
						CDefensePanel(LStream *inStream);
	virtual			~CDefensePanel();
	
	virtual void	FinishCreateSelf();
	virtual void	ListenToMessage(MessageT inMessage, void *ioParam);

	virtual void	GetData(Handle inDataToReplace);
	virtual void	SetData(Handle inData);
};
