/*
	File:			CPowerPanel.h

	Contains:	Abstract base class for a view which is included as needed by 
					your typical multipane dialog

	Written by:	Mike Shields

	Copyright:	Copyright  1996 SoftKey International, Inc.  All Rights Reserved.

	Change History (most recent first):

				02/01/96	MSS		New
	To Do:
*/

#pragma once

#include "CMPDPanel.h"

class CPowerPanel : public CMPDPanel
{
public:
	enum { class_ID = 'CPPl' };
	
	static CPowerPanel*
						CreateFromStream(LStream* inStream);

						CPowerPanel();
						CPowerPanel(const CPowerPanel &inOriginal) ;
						CPowerPanel(const SPaneInfo &inPaneInfo,
												const SViewInfo &inViewInfo);
						CPowerPanel(LStream *inStream);
	virtual			~CPowerPanel();
	
	virtual void	GetData(Handle inDataToReplace);
	virtual void	SetData(Handle inData);
	virtual Boolean	WantDefaultsButton(void) const { return false; };
	virtual Boolean	WantRevertButton(void) const { return false; };
};
